Subject: Re: bug#22657: 24.5; "Python Exception <class 'NameError'> name 'long' is not defined" while using gdb registers buffer

From: Eli Zaretskii <[email-masked]>
Date: Sun, 14 Feb 2016 20:11:10 +0200

> From: Douglas Anderson <[email-masked]>
> Date: Sun, 14 Feb 2016 10:22:40 -0700
> Cc: [email-masked]
> 
> I did `$ sudo apt-get purge emacs && sudo apt-get update && sudo apt-get install emacs` to make sure my
> installation wasn't corrupted.

I suggest to do the same for your GDB installation.  The exceptions
come from the GDB Python support files, so maybe they are
misconfigured.

> $ gdb --version
> GNU gdb (Ubuntu 7.10-1ubuntu2) 7.10

I also use GDB 7.10.

> $ gcc --version
> gcc (Ubuntu 5.2.1-22ubuntu2) 5.2.1 20151010

My GCC is 4.8.1, not sure if this is related.

> $ gcc test.c
> 
> M-x gdb
> Run gdb (like this): gdb -i=mi a.out
> (If it opens in many-windows mode, continue on, if not, do M-x gdb-display-registers-buffer)
> 
> (gdb) b main
> Breakpoint 1 at 0x40053a
> (gdb) r
> Starting program:[...]/a.out 
> 
> Breakpoint 1, 0x000000000040053a in main ()
> (gdb) Python Exception <class 'NameError'> name 'long' is not defined: 
> Python Exception <class 'NameError'> name 'long' is not defined: 
> Python Exception <class 'NameError'> name 'long' is not defined: 
> Python Exception <class 'NameError'> name 'long' is not defined: 
> 
> (I hit Enter a few times)
> 
> Starting program: [...]/a.out 
> 
> Breakpoint 1, 0x000000000040053a in main ()
> (gdb) Python Exception <class 'NameError'> name 'long' is not defined: 
> Python Exception <class 'NameError'> name 'long' is not defined: 
> Python Exception <class 'NameError'> name 'long' is not defined: 
> Python Exception <class 'NameError'> name 'long' is not defined: 
> 
> Breakpoint 1, 0x000000000040053a in main ()
> Python Exception <class 'NameError'> name 'long' is not defined: 
> Python Exception <class 'NameError'> name 'long' is not defined: 
> Python Exception <class 'NameError'> name 'long' is not defined: 
> Python Exception <class 'NameError'> name 'long' is not defined: 
> 
> In the status line, it says, "error in process filter: Bad string format: "doesn't start with '\"\!"
> 
> If you still can't reproduce, maybe it's a bug for the ubuntu package maintainer. 

I still cannot reproduce this.  If updating GDB (perhaps to the latest
version 7.10.1) doesn't help, please take it up with the Ubuntu
package maintainers.

Thanks.